# Uses of Class
org.eclipse.pde.core.target.TargetBundle

Packages that use TargetBundle
Package
Description
org.eclipse.pde.core.target
Application programming interfaces to access and modify the PDE target platform.

## Uses of TargetBundle in org.eclipse.pde.core.target

Methods in org.eclipse.pde.core.target that return TargetBundle
Modifier and Type
Method
Description
`TargetBundle[]`
ITargetDefinition.`getAllBundles()`
Returns a list of all resolved bundles in this target definition or `null`.
`TargetBundle[]`
ITargetDefinition.`getBundles()`
Returns all bundles included in this target definition or `null` if this container is not resolved.
`TargetBundle[]`
ITargetLocation.`getBundles()`
Returns the bundles in this location or `null` if this location is not resolved